[Pkg-irc-commits] r237 - in /packages/inspircd/trunk/debian: changelog patches/00list patches/02_fix_gnutls_config.dpatch

bradsmith at users.alioth.debian.org bradsmith at users.alioth.debian.org
Sun Jan 4 19:24:48 UTC 2009


Author: bradsmith
Date: Sun Jan  4 19:24:47 2009
New Revision: 237

URL: http://svn.debian.org/wsvn/pkg-irc/?sc=1&rev=237
Log:
02_fix_gnutls_config.dpatch - Fix configure script so GnuTLS module is
built. Closes: #510748.

Added:
    packages/inspircd/trunk/debian/patches/02_fix_gnutls_config.dpatch
Modified:
    packages/inspircd/trunk/debian/changelog
    packages/inspircd/trunk/debian/patches/00list

Modified: packages/inspircd/trunk/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-irc/packages/inspircd/trunk/debian/changelog?rev=237&op=diff
==============================================================================
--- packages/inspircd/trunk/debian/changelog (original)
+++ packages/inspircd/trunk/debian/changelog Sun Jan  4 19:24:47 2009
@@ -1,3 +1,10 @@
+inspircd (1.1.22+dfsg-3) unstable; urgency=low
+
+  * 02_fix_gnutls_config.dpatch - Fix configure script so GnuTLS module is
+    built. Closes: #510748.
+
+ -- Bradley Smith <bradsmith at debian.org>  Sun, 04 Jan 2009 19:00:13 +0000
+
 inspircd (1.1.22+dfsg-2) unstable; urgency=low
 
   * 01_fix_config_reload.dpatch - Fix crash on config reload.

Modified: packages/inspircd/trunk/debian/patches/00list
URL: http://svn.debian.org/wsvn/pkg-irc/packages/inspircd/trunk/debian/patches/00list?rev=237&op=diff
==============================================================================
--- packages/inspircd/trunk/debian/patches/00list (original)
+++ packages/inspircd/trunk/debian/patches/00list Sun Jan  4 19:24:47 2009
@@ -1,1 +1,2 @@
 01_fix_config_reload.dpatch
+02_fix_gnutls_config.dpatch

Added: packages/inspircd/trunk/debian/patches/02_fix_gnutls_config.dpatch
URL: http://svn.debian.org/wsvn/pkg-irc/packages/inspircd/trunk/debian/patches/02_fix_gnutls_config.dpatch?rev=237&op=file
==============================================================================
--- packages/inspircd/trunk/debian/patches/02_fix_gnutls_config.dpatch (added)
+++ packages/inspircd/trunk/debian/patches/02_fix_gnutls_config.dpatch Sun Jan  4 19:24:47 2009
@@ -1,0 +1,41 @@
+#!/bin/sh -e
+## 02_fix_gnutls_config.dpatch
+##
+## DP: Fix configure script to make sure GnuTLS module is built.
+## DP: Cherry picked from upstream.
+
+if [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+       -patch) patch $patch_opts -p1 < $0;;
+       -unpatch) patch $patch_opts -p1 -R < $0;;
+        *)
+                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+                exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+diff -Naur a/configure b/configure
+--- a/configure	2009-01-04 19:08:57.000000000 +0000
++++ b/configure	2009-01-04 19:10:15.000000000 +0000
+@@ -139,10 +139,10 @@
+ chomp($config{HAS_OPENSSL}  = `pkg-config --modversion openssl 2>/dev/null`);		# Openssl version
+ chomp($gnutls_ver = $config{HAS_GNUTLS});
+ chomp($openssl_ver = $config{HAS_OPENSSL});
+-$config{HAS_GNUTLS}	    = "n";
++$config{USE_GNUTLS}	    = "n";
+ if (defined $opt_use_gnutls)
+ {
+-	$config{HAS_GNUTLS} = "y";					# Use gnutls.
++	$config{USE_GNUTLS} = "y";					# Use gnutls.
+ }
+ $config{USE_OPENSSL}	= "n";						# Use openssl.
+ if (defined $opt_use_openssl)




More information about the Pkg-irc-commits mailing list